Eclipse Rich Ajax Platform

## org.eclipse.swt.events
Interface ArmListener

    public interface ArmListener

Classes which implement this interface provide a method that deals with the event that is generated when a widget, such as a menu item, is armed.

After creating an instance of a class that implements this interface it can be added to a widget using the `addArmListener` method and removed using the `removeArmListener` method. When the widget is armed, the widgetArmed method will be invoked.

Since:
  1.3
See Also:
  `ArmEvent`

Method Summary
`void` `widgetArmed(ArmEvent e)` Sent when a widget is armed, or 'about to be selected'.

Method Detail

### widgetArmed

    void widgetArmed(ArmEvent e)

  Sent when a widget is armed, or 'about to be selected'.

  Parameters:
    `e` - an event containing information about the arm

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.